/*
 * 05/28/2003
 *
 * node.h
 * Noeud d'une liste chaine
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _NODE_H
#define _NODE_H


// ############
// Classe CNode
// ############
class CNode
{
public:

	// ============
	// Constructeur
	// ============
	CNode();

	// ===========
	// Destructeur
	// ===========
	~CNode() {  }

	// ==========
	// Adjonction
	// ==========
	void Add(CNode *node);

	// ===========================
	// Prochain noeud de la chaine
	// ===========================
	CNode * Next();

protected:

	// Noeud suivant de la chaine
	CNode *m_next;

};

#endif

